import { ComponentStory } from "@storybook/react";
import React from "react";
import NerdHeading from "./NerdHeading";
declare const _default: {
    title: string;
    component: React.FC<import("./typings").NerdHeadingProps & import("@mui/system").SystemProps<import("@mui/material").Theme> & {
        align?: "left" | "right" | "center" | "inherit" | "justify" | undefined;
        children?: React.ReactNode;
        classes?: Partial<import("@mui/material").TypographyClasses> | undefined;
        gutterBottom?: boolean | undefined;
        noWrap?: boolean | undefined;
        paragraph?: boolean | undefined;
        sx?: import("@mui/system").SxProps<import("@mui/material").Theme> | undefined;
        variant?: "button" | "caption" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "inherit" | "subtitle1" | "subtitle2" | "body1" | "body2" | "overline" | undefined;
        variantMapping?: Partial<Record<"button" | "caption" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "inherit" | "subtitle1" | "subtitle2" | "body1" | "body2" | "overline", string>> | undefined;
    } & import("@mui/material/OverridableComponent").CommonProps & Omit<Pick<React.DetailedHTMLProps<React.HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "key" | keyof React.HTMLAttributes<HTMLSpanElement>> & {
        ref?: ((instance: HTMLSpanElement | null) => void) | React.RefObject<HTMLSpanElement> | null | undefined;
    }, keyof import("@mui/material/OverridableComponent").CommonProps | "children" | "sx" | "variant" | ("left" | "right" | "top" | "bottom" | "p" | "color" | "border" | "boxShadow" | "fontWeight" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "boxSizing" | "columnGap" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "gridAutoColumns" | "gridAutoFlow" | "gridAutoRows" | "gridTemplateAreas" | "gridTemplateColumns" | "gridTemplateRows" | "height" | "justifyContent" | "justifyItems" | "justifySelf" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "order" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "position" | "rowGap" | "textAlign" | "textOverflow" | "textTransform" | "visibility" | "whiteSpace" | "width" | "borderBottom" | "borderColor" | "borderLeft" | "borderRadius" | "borderRight" | "borderTop" | "flex" | "gap" | "gridArea" | "gridColumn" | "gridRow" | "margin" | "overflow" | "padding" | "bgcolor" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "marginX" | "my" | "marginY" | "pt" | "pr" | "pb" | "pl" | "px" | "paddingX" | "py" | "paddingY" | "typography" | "displayPrint") | "align" | "gutterBottom" | "noWrap" | "paragraph" | "variantMapping">>;
    argTypes: {
        color: {
            options: string[];
            control: {
                type: string;
            };
        };
    };
};
export default _default;
export declare const NerdHeadingNoIcon: ComponentStory<typeof NerdHeading>;
export declare const NerdHeadingIcon: ComponentStory<typeof NerdHeading>;
