// Generated with util/create-component.js
import Grid from "@mui/material/Grid";
import React from "react";
import { NerdIcon } from "../shared/NerdIcon/NerdIcon";
import NerdHeading from "./NerdHeading";
export default {
    title: "NerdHeading",
    component: NerdHeading,
    argTypes: {
        color: {
            options: ["primary", "secondary", "inherit"],
            control: { type: "select" },
        },
    },
};
const TemplateNerdHeading = (args) => (React.createElement(NerdHeading, Object.assign({}, args)));
export const NerdHeadingNoIcon = TemplateNerdHeading.bind({});
// Display limited number of controls in the controls panel,
NerdHeadingNoIcon.parameters = {
    controls: { include: ["text", "variant", "color"] },
};
// Set the default values of the controls
NerdHeadingNoIcon.args = {
    text: "Lorem Ipsum No icon",
    variant: "h4",
};
// NerdHeading with icon
const TemplateNerdHeadingGrid = (args) => (React.createElement(Grid, { container: true, spacing: 2, alignItems: "center" },
    React.createElement(NerdHeading, Object.assign({}, args))));
export const NerdHeadingIcon = TemplateNerdHeadingGrid.bind({});
NerdHeadingIcon.parameters = {
    controls: { include: ["text", "variant", "icon", "color"] },
};
// Set the default values of the controls
NerdHeadingIcon.args = {
    text: "Lorem Ipsum Icon",
    variant: "h3",
    icon: React.createElement(NerdIcon, { icon: "bell", iconColor: "black", size: "lg" }),
};
