import TextField from "@mui/material/TextField";
import React from "react";
export const NerdPassword = ({ label = "", placeholder = "", id, variant = "standard", required = false, disabled, error, helperText, value, onChange, }) => {
    return (React.createElement(TextField, { required: required, error: error, "aria-haspopup": "true", disabled: disabled, id: id, label: label, placeholder: placeholder, fullWidth: true, helperText: required ? required : helperText, value: value, onChange: onChange, InputLabelProps: {
            shrink: true,
        }, variant: variant, type: "password" }));
};
export default NerdPassword;
