"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Paper_1 = __importDefault(require("@mui/material/Paper"));
const styles_1 = require("@mui/material/styles");
const NerdCard = (0, styles_1.styled)(Paper_1.default)(({ theme }) => ({
    borderRadius: theme.spacing(1),
    border: `solid 1px ${theme.palette.divider}`,
    padding: theme.spacing(2),
    borderLeft: `solid 4px ${theme.palette.primary.main}`,
    position: "relative",
    width: "100%",
}));
exports.default = NerdCard;
