"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NerdHeadingIcon = exports.NerdHeadingNoIcon = void 0;
// Generated with util/create-component.js
const Grid_1 = __importDefault(require("@mui/material/Grid"));
const react_1 = __importDefault(require("react"));
const NerdIcon_1 = require("../shared/NerdIcon/NerdIcon");
const NerdHeading_1 = __importDefault(require("./NerdHeading"));
exports.default = {
    title: "NerdHeading",
    component: NerdHeading_1.default,
    argTypes: {
        color: {
            options: ["primary", "secondary", "inherit"],
            control: { type: "select" },
        },
    },
};
const TemplateNerdHeading = (args) => (react_1.default.createElement(NerdHeading_1.default, Object.assign({}, args)));
exports.NerdHeadingNoIcon = TemplateNerdHeading.bind({});
// Display limited number of controls in the controls panel,
exports.NerdHeadingNoIcon.parameters = {
    controls: { include: ["text", "variant", "color"] },
};
// Set the default values of the controls
exports.NerdHeadingNoIcon.args = {
    text: "Lorem Ipsum No icon",
    variant: "h4",
};
// NerdHeading with icon
const TemplateNerdHeadingGrid = (args) => (react_1.default.createElement(Grid_1.default, { container: true, spacing: 2, alignItems: "center" },
    react_1.default.createElement(NerdHeading_1.default, Object.assign({}, args))));
exports.NerdHeadingIcon = TemplateNerdHeadingGrid.bind({});
exports.NerdHeadingIcon.parameters = {
    controls: { include: ["text", "variant", "icon", "color"] },
};
// Set the default values of the controls
exports.NerdHeadingIcon.args = {
    text: "Lorem Ipsum Icon",
    variant: "h3",
    icon: react_1.default.createElement(NerdIcon_1.NerdIcon, { icon: "bell", iconColor: "black", size: "lg" }),
};
