"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NerdHelp = void 0;
const react_1 = __importStar(require("react"));
const Popover_1 = __importDefault(require("@mui/material/Popover"));
const NerdHeading_1 = require("../NerdHeading");
const system_1 = require("@mui/system");
const Box_1 = __importDefault(require("@mui/material/Box"));
const NerdHelp = ({ explanation, classes, children, anchorOrigin = {
    vertical: "top",
    horizontal: "left",
}, transformOrigin = {
    vertical: "bottom",
    horizontal: "left",
}, variant = "body1", }) => {
    const [anchorEl, setAnchorEl] = react_1.default.useState(null);
    const htmlRef = (0, react_1.useRef)(null);
    const open = Boolean(anchorEl);
    const onMouseEnter = () => {
        setAnchorEl(htmlRef.current);
    };
    const onMouseLeave = () => {
        setAnchorEl(null);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Box_1.default, { ref: htmlRef, onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave }, children),
        react_1.default.createElement(StyledPopover, { sx: {
                pointerEvents: "none",
            }, open: open, anchorEl: anchorEl, anchorOrigin: anchorOrigin, transformOrigin: transformOrigin, classes: Object.assign({}, classes) },
            react_1.default.createElement(NerdHeading_1.NerdHeading, { variant: variant, text: explanation, sx: { p: 1 } }))));
};
exports.NerdHelp = NerdHelp;
const StyledPopover = (0, system_1.styled)(Popover_1.default, {
    name: "StyledPopover",
    slot: "Wrapper",
})(() => ({
    width: "100%",
}));
