"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NerdPassword = void 0;
const TextField_1 = __importDefault(require("@mui/material/TextField"));
const react_1 = __importDefault(require("react"));
const NerdPassword = ({ label = "", placeholder = "", id, variant = "standard", required = false, disabled, error, helperText, value, onChange, }) => {
    return (react_1.default.createElement(TextField_1.default, { required: required, error: error, "aria-haspopup": "true", disabled: disabled, id: id, label: label, placeholder: placeholder, fullWidth: true, helperText: required ? required : helperText, value: value, onChange: onChange, InputLabelProps: {
            shrink: true,
        }, variant: variant, type: "password" }));
};
exports.NerdPassword = NerdPassword;
exports.default = exports.NerdPassword;
