"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NerdText = void 0;
const TextField_1 = __importDefault(require("@mui/material/TextField"));
const react_1 = __importDefault(require("react"));
const NerdInputEnums_1 = require("../NerdInputEnums");
require("./NerdText.scss");
const NerdText = ({ label = "", placeholder = "", id, variant = "standard", required, disabled, error, helperText, value, onChange, onKeyPress, onBlur, onClick, }) => {
    return (react_1.default.createElement(TextField_1.default, { error: error, "aria-haspopup": "true", disabled: disabled, id: id, label: label, placeholder: placeholder, fullWidth: true, helperText: required ? NerdInputEnums_1.InputAux.REQUIRED : helperText, required: required, value: value, onChange: onChange, onKeyPress: onKeyPress, onBlur: onBlur, onClick: onClick, InputLabelProps: {
            shrink: true,
        }, variant: variant, className: required ? "Nerd-Text--required" : "", sx: {
            "& .MuiInputLabel-root": {
                display: "flex",
            },
        } }));
};
exports.NerdText = NerdText;
