"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const icons_material_1 = require("@mui/icons-material");
const material_1 = require("@mui/material");
const react_1 = __importDefault(require("react"));
const CustomArrow = ({ onPageChange, page, disabledNext, children, }) => {
    const disablePrev = page === 1;
    return (react_1.default.createElement(material_1.Box, null,
        react_1.default.createElement(material_1.Tooltip, { title: "First Page", placement: "bottom", enterDelay: 300 },
            react_1.default.createElement("span", null,
                react_1.default.createElement(material_1.IconButton, { onClick: (e) => onPageChange(e, 1), disabled: disablePrev, "aria-label": "First Page" },
                    react_1.default.createElement(icons_material_1.FirstPage, null)))),
        react_1.default.createElement(material_1.Tooltip, { title: "Prev Page", placement: "bottom", enterDelay: 300 },
            react_1.default.createElement("span", null,
                react_1.default.createElement(material_1.IconButton, { onClick: (e) => onPageChange(e, page - 1), disabled: disablePrev, "aria-label": "Previous Page" },
                    react_1.default.createElement(icons_material_1.KeyboardArrowLeft, null)))),
        children,
        react_1.default.createElement(material_1.Tooltip, { title: "Next Page", placement: "bottom", enterDelay: 300 },
            react_1.default.createElement("span", null,
                react_1.default.createElement(material_1.IconButton, { onClick: (e) => {
                        onPageChange(e, page + 1);
                    }, "aria-label": "Next Page", disabled: disabledNext },
                    react_1.default.createElement(icons_material_1.KeyboardArrowRight, null))))));
};
exports.default = CustomArrow;
