import React from "react";
import { NerdIcon } from "./NerdIcon";
export default {
    title: "NerdIcon",
    component: NerdIcon,
    argTypes: {
        severity: {
            options: ["info", "success", "warning", "error"],
            type: "select",
        },
    },
};
export const Default = (args) => (React.createElement(NerdIcon, Object.assign({}, args)));
Default.args = {
    icon: "bell",
};
