import { styled } from "@mui/material/styles";
import React from "react";
import LinearProgress, { linearProgressClasses, } from "@mui/material/LinearProgress";
const BorderLinearProgress = styled((props) => {
    var _a;
    return (React.createElement(LinearProgress, { variant: props.variant, value: props.value, color: (_a = props.color) !== null && _a !== void 0 ? _a : "info" }));
})(({ theme }) => ({
    height: 5,
    borderRadius: 5,
    [`&.${linearProgressClasses.colorPrimary}`]: {
        backgroundColor: theme.palette.grey[theme.palette.mode === "light" ? 200 : 800],
    },
    [`& .${linearProgressClasses.bar}`]: {
        borderRadius: 5,
        backgroundColor: theme.palette.mode === "light" ? "#1a90ff" : "#308fe8",
    },
}));
export default BorderLinearProgress;
