var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import Typography from "@mui/material/Typography";
import Grid from "@mui/material/Grid";
import NerdHeadingIcon from "./NerdHeadingIcon";
import { ConditionalWrapper } from "../../utility/ConditionalWrapper";
export const NerdHeadingComposed = (props) => {
    const { text, display, variant, classes, icon, color, children, iconPosition = "left", spacing = 1, alignItems = "center", uppercase } = props, rest = __rest(props, ["text", "display", "variant", "classes", "icon", "color", "children", "iconPosition", "spacing", "alignItems", "uppercase"]);
    return (React.createElement(ConditionalWrapper, { condition: (text !== "" || typeof children === "string") && icon !== undefined, wrapper: (childrenContent) => (React.createElement(Grid, { container: true, spacing: spacing, alignItems: alignItems }, childrenContent)) },
        React.createElement(React.Fragment, null,
            icon && React.createElement(NerdHeadingIcon, Object.assign({}, { icon, color, iconPosition })),
            typeof children === "object" && (React.createElement(NerdHeadingIcon, Object.assign({ icon: children }, { color, iconPosition }))),
            (typeof children === "string" || text) && (React.createElement(Grid, { item: true },
                React.createElement(Typography, Object.assign({ display: display, variant: variant, classes: classes, color: color, textTransform: uppercase ? "uppercase" : undefined }, rest), typeof children === "string" ? children : text))))));
};
