"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NerdHeadingComposed = void 0;
const react_1 = __importDefault(require("react"));
const Typography_1 = __importDefault(require("@mui/material/Typography"));
const Grid_1 = __importDefault(require("@mui/material/Grid"));
const NerdHeadingIcon_1 = __importDefault(require("./NerdHeadingIcon"));
const ConditionalWrapper_1 = require("../../utility/ConditionalWrapper");
const NerdHeadingComposed = (props) => {
    const { text, display, variant, classes, icon, color, children, iconPosition = "left", spacing = 1, alignItems = "center", uppercase } = props, rest = __rest(props, ["text", "display", "variant", "classes", "icon", "color", "children", "iconPosition", "spacing", "alignItems", "uppercase"]);
    return (react_1.default.createElement(ConditionalWrapper_1.ConditionalWrapper, { condition: (text !== "" || typeof children === "string") && icon !== undefined, wrapper: (childrenContent) => (react_1.default.createElement(Grid_1.default, { container: true, spacing: spacing, alignItems: alignItems }, childrenContent)) },
        react_1.default.createElement(react_1.default.Fragment, null,
            icon && react_1.default.createElement(NerdHeadingIcon_1.default, Object.assign({}, { icon, color, iconPosition })),
            typeof children === "object" && (react_1.default.createElement(NerdHeadingIcon_1.default, Object.assign({ icon: children }, { color, iconPosition }))),
            (typeof children === "string" || text) && (react_1.default.createElement(Grid_1.default, { item: true },
                react_1.default.createElement(Typography_1.default, Object.assign({ display: display, variant: variant, classes: classes, color: color, textTransform: uppercase ? "uppercase" : undefined }, rest), typeof children === "string" ? children : text))))));
};
exports.NerdHeadingComposed = NerdHeadingComposed;
