"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.notificationReducer = exports.clearNotification = exports.showNotification = exports.notificationSlice = exports.notificationInitialState = void 0;
const toolkit_1 = require("@reduxjs/toolkit");
exports.notificationInitialState = {
    notification: {
        uuid: "",
    },
};
exports.notificationSlice = (0, toolkit_1.createSlice)({
    name: "notification",
    initialState: exports.notificationInitialState,
    reducers: {
        showNotification: (_state, action) => {
            return Object.assign({}, action.payload);
        },
        clearNotification: () => {
            return exports.notificationInitialState;
        },
    },
});
_a = exports.notificationSlice.actions, exports.showNotification = _a.showNotification, exports.clearNotification = _a.clearNotification;
exports.notificationReducer = exports.notificationSlice.reducer;
