"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Default = void 0;
const react_1 = __importDefault(require("react"));
const NerdIcon_1 = require("./NerdIcon");
exports.default = {
    title: "NerdIcon",
    component: NerdIcon_1.NerdIcon,
    argTypes: {
        severity: {
            options: ["info", "success", "warning", "error"],
            type: "select",
        },
    },
};
const Default = (args) => (react_1.default.createElement(NerdIcon_1.NerdIcon, Object.assign({}, args)));
exports.Default = Default;
exports.Default.args = {
    icon: "bell",
};
