"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalWrapper = void 0;
const react_1 = __importDefault(require("react"));
const styles_1 = require("@mui/material/styles");
let theme = (0, styles_1.createTheme)({
    typography: {},
});
theme = (0, styles_1.responsiveFontSizes)(theme);
const ConditionalWrapper = ({ condition, wrapper, children, }) => (react_1.default.createElement(styles_1.ThemeProvider, { theme: theme }, condition ? wrapper(children) : children));
exports.ConditionalWrapper = ConditionalWrapper;
