"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setAxeValue = exports.uid = void 0;
/**
 * Function to that create a unique id
 *
 * @returns {string} - A unique id as string
 */
function uid() {
    const head = Date.now().toString(36);
    const tail = Math.random().toString(36).slice(2);
    return `${head}${tail}`;
}
exports.uid = uid;
/**
 * @param value
 */
function setAxeValue(value) {
    if (!value) {
        return "-";
    }
    return value.toLowerCase().replace(/\s/g, "-");
}
exports.setAxeValue = setAxeValue;
